package com.tencent.mm.plugin.wallet_core.model;

import android.os.Parcel;
import android.os.Parcelable;
import android.os.Parcelable.Creator;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class Orders$RecommendTinyAppInfo implements Parcelable {
    public static final Creator<Orders$RecommendTinyAppInfo> CREATOR = new 1();
    public int tBA;
    public int tBB;
    public long tBC;
    public long tBx;
    public long tBy;
    public long tBz;
    public String ttf;
    public String ttg;
    public String tzU;
    public String tzV;
    public String tzW;
    public String tzX;
    public int tzY;

    public Orders$RecommendTinyAppInfo(Parcel parcel) {
        AppMethodBeat.i(46817);
        this.ttf = parcel.readString();
        this.tzU = parcel.readString();
        this.tzV = parcel.readString();
        this.tzW = parcel.readString();
        this.ttg = parcel.readString();
        this.tzY = parcel.readInt();
        AppMethodBeat.o(46817);
    }

    static {
        AppMethodBeat.i(46819);
        AppMethodBeat.o(46819);
    }

    public int describeContents() {
        return 0;
    }

    public void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(46818);
        parcel.writeString(this.ttf);
        parcel.writeString(this.tzU);
        parcel.writeString(this.tzV);
        parcel.writeString(this.tzW);
        parcel.writeString(this.ttg);
        parcel.writeInt(this.tzY);
        AppMethodBeat.o(46818);
    }
}
